Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableConditionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableConditionView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableConditionView.Designer.cs	(revision 5832)
@@ -75,5 +75,5 @@
       // 
       this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.initialFrequencyTextBox.Size = new System.Drawing.Size(203, 20);
+      this.initialFrequencyTextBox.Size = new System.Drawing.Size(233, 20);
       // 
       // nameTextBox
@@ -81,10 +81,9 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(203, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.descriptionTextBox.Size = new System.Drawing.Size(203, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(208, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(307, 3);
       // 
       // thresholdInitializationMuLabel
@@ -94,5 +93,5 @@
       this.thresholdInitializationMuLabel.Name = "thresholdInitializationMuLabel";
       this.thresholdInitializationMuLabel.Size = new System.Drawing.Size(80, 13);
-      this.thresholdInitializationMuLabel.TabIndex = 6;
+      this.thresholdInitializationMuLabel.TabIndex = 0;
       this.thresholdInitializationMuLabel.Text = "Threshold (mu):";
       this.toolTip.SetToolTip(this.thresholdInitializationMuLabel, "The mu (mean) parameter of the normal distribution to use for initial weights.");
@@ -104,6 +103,6 @@
       this.thresholdInitializationMuTextBox.Location = new System.Drawing.Point(114, 15);
       this.thresholdInitializationMuTextBox.Name = "thresholdInitializationMuTextBox";
-      this.thresholdInitializationMuTextBox.Size = new System.Drawing.Size(197, 20);
-      this.thresholdInitializationMuTextBox.TabIndex = 7;
+      this.thresholdInitializationMuTextBox.Size = new System.Drawing.Size(203, 20);
+      this.thresholdInitializationMuTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.thresholdInitializationMuTextBox, "The mu (mean) parameter of the normal distribution from which to sample the initi" +
               "al thresholds.");
@@ -122,8 +121,8 @@
       this.initializationGroupBox.Controls.Add(this.thresholdInitializationMuLabel);
       this.initializationGroupBox.Controls.Add(this.thresholdInitializationMuTextBox);
-      this.initializationGroupBox.Location = new System.Drawing.Point(3, 79);
+      this.initializationGroupBox.Location = new System.Drawing.Point(0, 52);
       this.initializationGroupBox.Name = "initializationGroupBox";
-      this.initializationGroupBox.Size = new System.Drawing.Size(320, 127);
-      this.initializationGroupBox.TabIndex = 8;
+      this.initializationGroupBox.Size = new System.Drawing.Size(326, 127);
+      this.initializationGroupBox.TabIndex = 5;
       this.initializationGroupBox.TabStop = false;
       this.initializationGroupBox.Text = "Initialization";
@@ -135,5 +134,5 @@
       this.slopeInitializationSigmaLabel.Name = "slopeInitializationSigmaLabel";
       this.slopeInitializationSigmaLabel.Size = new System.Drawing.Size(73, 13);
-      this.slopeInitializationSigmaLabel.TabIndex = 12;
+      this.slopeInitializationSigmaLabel.TabIndex = 6;
       this.slopeInitializationSigmaLabel.Text = "Slope (sigma):";
       this.toolTip.SetToolTip(this.slopeInitializationSigmaLabel, "The sigma parameter for the normal distribution to use for the initial slopes.");
@@ -145,6 +144,6 @@
       this.slopeInitializationSigmaTextBox.Location = new System.Drawing.Point(114, 102);
       this.slopeInitializationSigmaTextBox.Name = "slopeInitializationSigmaTextBox";
-      this.slopeInitializationSigmaTextBox.Size = new System.Drawing.Size(197, 20);
-      this.slopeInitializationSigmaTextBox.TabIndex = 13;
+      this.slopeInitializationSigmaTextBox.Size = new System.Drawing.Size(203, 20);
+      this.slopeInitializationSigmaTextBox.TabIndex = 7;
       this.toolTip.SetToolTip(this.slopeInitializationSigmaTextBox, "The sigma parameter for the normal distribution from which to sample the initial " +
               "slopes.");
@@ -157,5 +156,5 @@
       this.slopeInitializationMuLabel.Name = "slopeInitializationMuLabel";
       this.slopeInitializationMuLabel.Size = new System.Drawing.Size(60, 13);
-      this.slopeInitializationMuLabel.TabIndex = 10;
+      this.slopeInitializationMuLabel.TabIndex = 4;
       this.slopeInitializationMuLabel.Text = "Slope (mu):";
       this.toolTip.SetToolTip(this.slopeInitializationMuLabel, "The mu (mean) parameter of the normal distribution to use for initial slopes.");
@@ -167,6 +166,6 @@
       this.slopeInitializationMuTextBox.Location = new System.Drawing.Point(114, 76);
       this.slopeInitializationMuTextBox.Name = "slopeInitializationMuTextBox";
-      this.slopeInitializationMuTextBox.Size = new System.Drawing.Size(197, 20);
-      this.slopeInitializationMuTextBox.TabIndex = 11;
+      this.slopeInitializationMuTextBox.Size = new System.Drawing.Size(203, 20);
+      this.slopeInitializationMuTextBox.TabIndex = 5;
       this.toolTip.SetToolTip(this.slopeInitializationMuTextBox, "The mu (mean) parameter of the normal distribution from which to sample the initi" +
               "al slopes.");
@@ -179,5 +178,5 @@
       this.thresholdInitializationSigmaLabel.Name = "thresholdInitializationSigmaLabel";
       this.thresholdInitializationSigmaLabel.Size = new System.Drawing.Size(93, 13);
-      this.thresholdInitializationSigmaLabel.TabIndex = 8;
+      this.thresholdInitializationSigmaLabel.TabIndex = 2;
       this.thresholdInitializationSigmaLabel.Text = "Threshold (sigma):";
       this.toolTip.SetToolTip(this.thresholdInitializationSigmaLabel, "The sigma parameter for the normal distribution to use for the initial weights.");
@@ -189,6 +188,6 @@
       this.thresholdInitializationSigmaTextBox.Location = new System.Drawing.Point(114, 41);
       this.thresholdInitializationSigmaTextBox.Name = "thresholdInitializationSigmaTextBox";
-      this.thresholdInitializationSigmaTextBox.Size = new System.Drawing.Size(197, 20);
-      this.thresholdInitializationSigmaTextBox.TabIndex = 9;
+      this.thresholdInitializationSigmaTextBox.Size = new System.Drawing.Size(203, 20);
+      this.thresholdInitializationSigmaTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.thresholdInitializationSigmaTextBox, "The sigma parameter for the normal distribution from which to sample the initial " +
               "thresholds.");
@@ -207,8 +206,8 @@
       this.mutationGroupBox.Controls.Add(this.ThresholdChangeMuLabel);
       this.mutationGroupBox.Controls.Add(this.thresholdChangeMuTextBox);
-      this.mutationGroupBox.Location = new System.Drawing.Point(3, 212);
+      this.mutationGroupBox.Location = new System.Drawing.Point(0, 185);
       this.mutationGroupBox.Name = "mutationGroupBox";
-      this.mutationGroupBox.Size = new System.Drawing.Size(320, 127);
-      this.mutationGroupBox.TabIndex = 9;
+      this.mutationGroupBox.Size = new System.Drawing.Size(326, 127);
+      this.mutationGroupBox.TabIndex = 6;
       this.mutationGroupBox.TabStop = false;
       this.mutationGroupBox.Text = "Mutation";
@@ -220,5 +219,5 @@
       this.slopeChangeSigmaLabel.Name = "slopeChangeSigmaLabel";
       this.slopeChangeSigmaLabel.Size = new System.Drawing.Size(112, 13);
-      this.slopeChangeSigmaLabel.TabIndex = 12;
+      this.slopeChangeSigmaLabel.TabIndex = 6;
       this.slopeChangeSigmaLabel.Text = "Slope change (sigma):";
       this.toolTip.SetToolTip(this.slopeChangeSigmaLabel, "The sigma parameter for the normal distribution to use to sample the change in sl" +
@@ -231,6 +230,6 @@
       this.slopeChangeSigmaTextBox.Location = new System.Drawing.Point(149, 99);
       this.slopeChangeSigmaTextBox.Name = "slopeChangeSigmaTextBox";
-      this.slopeChangeSigmaTextBox.Size = new System.Drawing.Size(162, 20);
-      this.slopeChangeSigmaTextBox.TabIndex = 13;
+      this.slopeChangeSigmaTextBox.Size = new System.Drawing.Size(168, 20);
+      this.slopeChangeSigmaTextBox.TabIndex = 7;
       this.toolTip.SetToolTip(this.slopeChangeSigmaTextBox, "The sigma parameter for the normal distribution to use to sample the change in sl" +
               "ope.");
@@ -243,5 +242,5 @@
       this.slopeChangeMuLabel.Name = "slopeChangeMuLabel";
       this.slopeChangeMuLabel.Size = new System.Drawing.Size(99, 13);
-      this.slopeChangeMuLabel.TabIndex = 10;
+      this.slopeChangeMuLabel.TabIndex = 4;
       this.slopeChangeMuLabel.Text = "Slope change (mu):";
       this.toolTip.SetToolTip(this.slopeChangeMuLabel, "The nu (mean) parameter for the normal distribution to sample the change in slope" +
@@ -254,6 +253,6 @@
       this.slopeChangeMuTextBox.Location = new System.Drawing.Point(149, 73);
       this.slopeChangeMuTextBox.Name = "slopeChangeMuTextBox";
-      this.slopeChangeMuTextBox.Size = new System.Drawing.Size(162, 20);
-      this.slopeChangeMuTextBox.TabIndex = 11;
+      this.slopeChangeMuTextBox.Size = new System.Drawing.Size(168, 20);
+      this.slopeChangeMuTextBox.TabIndex = 5;
       this.toolTip.SetToolTip(this.slopeChangeMuTextBox, "The mu (mean) parameter for the normal distribution to sample the change in slope" +
               ".");
@@ -266,5 +265,5 @@
       this.thresholdChangeSigmaLabel.Name = "thresholdChangeSigmaLabel";
       this.thresholdChangeSigmaLabel.Size = new System.Drawing.Size(132, 13);
-      this.thresholdChangeSigmaLabel.TabIndex = 8;
+      this.thresholdChangeSigmaLabel.TabIndex = 2;
       this.thresholdChangeSigmaLabel.Text = "Threshold change (sigma):";
       this.toolTip.SetToolTip(this.thresholdChangeSigmaLabel, "The sigma parameter for the normal distribution to use to sample the change in th" +
@@ -277,6 +276,6 @@
       this.thresholdChangeSigmaTextBox.Location = new System.Drawing.Point(149, 41);
       this.thresholdChangeSigmaTextBox.Name = "thresholdChangeSigmaTextBox";
-      this.thresholdChangeSigmaTextBox.Size = new System.Drawing.Size(162, 20);
-      this.thresholdChangeSigmaTextBox.TabIndex = 9;
+      this.thresholdChangeSigmaTextBox.Size = new System.Drawing.Size(168, 20);
+      this.thresholdChangeSigmaTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.thresholdChangeSigmaTextBox, "The sigma parameter for the normal distribution to use to sample the change in th" +
               "reshold.");
@@ -289,5 +288,5 @@
       this.ThresholdChangeMuLabel.Name = "ThresholdChangeMuLabel";
       this.ThresholdChangeMuLabel.Size = new System.Drawing.Size(119, 13);
-      this.ThresholdChangeMuLabel.TabIndex = 6;
+      this.ThresholdChangeMuLabel.TabIndex = 0;
       this.ThresholdChangeMuLabel.Text = "Threshold change (mu):";
       this.toolTip.SetToolTip(this.ThresholdChangeMuLabel, "The nu (mean) parameter for the normal distribution to sample the change in thres" +
@@ -300,6 +299,6 @@
       this.thresholdChangeMuTextBox.Location = new System.Drawing.Point(149, 15);
       this.thresholdChangeMuTextBox.Name = "thresholdChangeMuTextBox";
-      this.thresholdChangeMuTextBox.Size = new System.Drawing.Size(162, 20);
-      this.thresholdChangeMuTextBox.TabIndex = 7;
+      this.thresholdChangeMuTextBox.Size = new System.Drawing.Size(168, 20);
+      this.thresholdChangeMuTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.thresholdChangeMuTextBox, "The mu (mean) parameter for the normal distribution to sample the change in thres" +
               "hold.");
@@ -313,12 +312,11 @@
       this.Controls.Add(this.initializationGroupBox);
       this.Name = "VariableConditionView";
-      this.Size = new System.Drawing.Size(326, 344);
+      this.Size = new System.Drawing.Size(326, 315);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.initializationGroupBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.mutationGroupBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.Designer.cs	(revision 5832)
@@ -67,5 +67,5 @@
       // 
       this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.initialFrequencyTextBox.Size = new System.Drawing.Size(203, 20);
+      this.initialFrequencyTextBox.Size = new System.Drawing.Size(233, 20);
       // 
       // nameTextBox
@@ -73,10 +73,9 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(203, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.descriptionTextBox.Size = new System.Drawing.Size(203, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(208, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(307, 3);
       // 
       // weightMuLabel
@@ -86,5 +85,5 @@
       this.weightMuLabel.Name = "weightMuLabel";
       this.weightMuLabel.Size = new System.Drawing.Size(67, 13);
-      this.weightMuLabel.TabIndex = 6;
+      this.weightMuLabel.TabIndex = 0;
       this.weightMuLabel.Text = "Weight (mu):";
       this.toolTip.SetToolTip(this.weightMuLabel, "The mu (mean) parameter of the normal distribution to use for initial weights.");
@@ -96,6 +95,6 @@
       this.weightInitializationMuTextBox.Location = new System.Drawing.Point(92, 19);
       this.weightInitializationMuTextBox.Name = "weightInitializationMuTextBox";
-      this.weightInitializationMuTextBox.Size = new System.Drawing.Size(222, 20);
-      this.weightInitializationMuTextBox.TabIndex = 7;
+      this.weightInitializationMuTextBox.Size = new System.Drawing.Size(228, 20);
+      this.weightInitializationMuTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.weightInitializationMuTextBox, "The mu (mean) parameter of the normal distribution from which to sample the initi" +
               "al weights.");
@@ -110,8 +109,8 @@
       this.initializationGroupBox.Controls.Add(this.weightMuLabel);
       this.initializationGroupBox.Controls.Add(this.weightInitializationMuTextBox);
-      this.initializationGroupBox.Location = new System.Drawing.Point(3, 79);
+      this.initializationGroupBox.Location = new System.Drawing.Point(0, 52);
       this.initializationGroupBox.Name = "initializationGroupBox";
-      this.initializationGroupBox.Size = new System.Drawing.Size(320, 73);
-      this.initializationGroupBox.TabIndex = 8;
+      this.initializationGroupBox.Size = new System.Drawing.Size(326, 73);
+      this.initializationGroupBox.TabIndex = 5;
       this.initializationGroupBox.TabStop = false;
       this.initializationGroupBox.Text = "Initialization";
@@ -123,5 +122,5 @@
       this.weightSigmaLabel.Name = "weightSigmaLabel";
       this.weightSigmaLabel.Size = new System.Drawing.Size(80, 13);
-      this.weightSigmaLabel.TabIndex = 8;
+      this.weightSigmaLabel.TabIndex = 2;
       this.weightSigmaLabel.Text = "Weight (sigma):";
       this.toolTip.SetToolTip(this.weightSigmaLabel, "The sigma parameter for the normal distribution to use for the initial weights.");
@@ -133,6 +132,6 @@
       this.weightInitializationSigmaTextBox.Location = new System.Drawing.Point(92, 45);
       this.weightInitializationSigmaTextBox.Name = "weightInitializationSigmaTextBox";
-      this.weightInitializationSigmaTextBox.Size = new System.Drawing.Size(222, 20);
-      this.weightInitializationSigmaTextBox.TabIndex = 9;
+      this.weightInitializationSigmaTextBox.Size = new System.Drawing.Size(228, 20);
+      this.weightInitializationSigmaTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.weightInitializationSigmaTextBox, "The sigma parameter for the normal distribution from which to sample the initial " +
               "weights.");
@@ -147,8 +146,8 @@
       this.mutationGroupBox.Controls.Add(this.additiveWeightChangeLabel);
       this.mutationGroupBox.Controls.Add(this.additiveWeightChangeSigmaTextBox);
-      this.mutationGroupBox.Location = new System.Drawing.Point(3, 158);
+      this.mutationGroupBox.Location = new System.Drawing.Point(0, 131);
       this.mutationGroupBox.Name = "mutationGroupBox";
-      this.mutationGroupBox.Size = new System.Drawing.Size(320, 73);
-      this.mutationGroupBox.TabIndex = 9;
+      this.mutationGroupBox.Size = new System.Drawing.Size(326, 73);
+      this.mutationGroupBox.TabIndex = 6;
       this.mutationGroupBox.TabStop = false;
       this.mutationGroupBox.Text = "Mutation";
@@ -160,5 +159,5 @@
       this.multiplicativeWeightChangeLabel.Name = "multiplicativeWeightChangeLabel";
       this.multiplicativeWeightChangeLabel.Size = new System.Drawing.Size(180, 13);
-      this.multiplicativeWeightChangeLabel.TabIndex = 8;
+      this.multiplicativeWeightChangeLabel.TabIndex = 2;
       this.multiplicativeWeightChangeLabel.Text = "Multiplicative weight change (sigma):";
       this.toolTip.SetToolTip(this.multiplicativeWeightChangeLabel, "The sigma parameter for the normal distribution to use to sample a multiplicative" +
@@ -171,6 +170,6 @@
       this.multiplicativeWeightChangeSigmaTextBox.Location = new System.Drawing.Point(201, 45);
       this.multiplicativeWeightChangeSigmaTextBox.Name = "multiplicativeWeightChangeSigmaTextBox";
-      this.multiplicativeWeightChangeSigmaTextBox.Size = new System.Drawing.Size(113, 20);
-      this.multiplicativeWeightChangeSigmaTextBox.TabIndex = 9;
+      this.multiplicativeWeightChangeSigmaTextBox.Size = new System.Drawing.Size(119, 20);
+      this.multiplicativeWeightChangeSigmaTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.multiplicativeWeightChangeSigmaTextBox, "The sigma (std.dev.) parameter for the normal distribution to sample a multiplica" +
               "tive change in weight.");
@@ -183,5 +182,5 @@
       this.additiveWeightChangeLabel.Name = "additiveWeightChangeLabel";
       this.additiveWeightChangeLabel.Size = new System.Drawing.Size(157, 13);
-      this.additiveWeightChangeLabel.TabIndex = 6;
+      this.additiveWeightChangeLabel.TabIndex = 0;
       this.additiveWeightChangeLabel.Text = "Additive weight change (sigma):";
       this.toolTip.SetToolTip(this.additiveWeightChangeLabel, "The sigma (std.dev.) parameter for the normal distribution to sample an additive " +
@@ -194,6 +193,6 @@
       this.additiveWeightChangeSigmaTextBox.Location = new System.Drawing.Point(201, 19);
       this.additiveWeightChangeSigmaTextBox.Name = "additiveWeightChangeSigmaTextBox";
-      this.additiveWeightChangeSigmaTextBox.Size = new System.Drawing.Size(113, 20);
-      this.additiveWeightChangeSigmaTextBox.TabIndex = 7;
+      this.additiveWeightChangeSigmaTextBox.Size = new System.Drawing.Size(119, 20);
+      this.additiveWeightChangeSigmaTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.additiveWeightChangeSigmaTextBox, "The sigma (std.dev.) parameter for the normal distribution to sample an additive " +
               "change in weight.");
@@ -207,12 +206,11 @@
       this.Controls.Add(this.initializationGroupBox);
       this.Name = "VariableView";
-      this.Size = new System.Drawing.Size(326, 235);
+      this.Size = new System.Drawing.Size(326, 208);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.initializationGroupBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.mutationGroupBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
@@ -228,14 +226,14 @@
     #endregion
 
-    private System.Windows.Forms.Label weightMuLabel;
-    private System.Windows.Forms.TextBox weightInitializationMuTextBox;
+    protected System.Windows.Forms.Label weightMuLabel;
+    protected System.Windows.Forms.TextBox weightInitializationMuTextBox;
     protected System.Windows.Forms.GroupBox initializationGroupBox;
-    private System.Windows.Forms.Label weightSigmaLabel;
-    private System.Windows.Forms.TextBox weightInitializationSigmaTextBox;
+    protected System.Windows.Forms.Label weightSigmaLabel;
+    protected System.Windows.Forms.TextBox weightInitializationSigmaTextBox;
     protected System.Windows.Forms.GroupBox mutationGroupBox;
-    private System.Windows.Forms.Label multiplicativeWeightChangeLabel;
-    private System.Windows.Forms.TextBox multiplicativeWeightChangeSigmaTextBox;
-    private System.Windows.Forms.Label additiveWeightChangeLabel;
-    private System.Windows.Forms.TextBox additiveWeightChangeSigmaTextBox;
+    protected System.Windows.Forms.Label multiplicativeWeightChangeLabel;
+    protected System.Windows.Forms.TextBox multiplicativeWeightChangeSigmaTextBox;
+    protected System.Windows.Forms.Label additiveWeightChangeLabel;
+    protected System.Windows.Forms.TextBox additiveWeightChangeSigmaTextBox;
 
   }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.Designer.cs	(revision 5832)
@@ -52,6 +52,7 @@
       // parameterCollectionView
       // 
-      this.parameterCollectionView.Location = new System.Drawing.Point(3, 81);
-      this.parameterCollectionView.Size = new System.Drawing.Size(490, 253);
+      this.parameterCollectionView.Location = new System.Drawing.Point(3, 55);
+      this.parameterCollectionView.Size = new System.Drawing.Size(490, 279);
+      this.parameterCollectionView.TabIndex = 4;
       // 
       // nameTextBox
@@ -59,9 +60,9 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(421, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(409, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(421, 20);
+      this.infoLabel.Location = new System.Drawing.Point(474, 3);
       // 
       // ImportButton
@@ -69,8 +70,8 @@
       this.ImportButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.ImportButton.Location = new System.Drawing.Point(0, 52);
+      this.ImportButton.Location = new System.Drawing.Point(0, 26);
       this.ImportButton.Name = "ImportButton";
       this.ImportButton.Size = new System.Drawing.Size(493, 23);
-      this.ImportButton.TabIndex = 5;
+      this.ImportButton.TabIndex = 3;
       this.ImportButton.Text = "Import from CSV file";
       this.ImportButton.UseVisualStyleBackColor = true;
@@ -89,8 +90,7 @@
       this.Size = new System.Drawing.Size(493, 334);
       this.Controls.SetChildIndex(this.ImportButton, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.parameterCollectionView, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
Index: /trunk/sources/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.csproj	(revision 5831)
+++ /trunk/sources/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/HeuristicLab.Problems.ExternalEvaluation.GP.Views-3.3.csproj	(revision 5832)
@@ -169,9 +169,4 @@
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup>
-    <EmbeddedResource Include="VariableSymbolView.resx">
-      <DependentUpon>VariableSymbolView.cs</DependentUpon>
-    </EmbeddedResource>
-  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
Index: /trunk/sources/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/VariableSymbolView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/VariableSymbolView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Problems.ExternalEvaluation.GP.Views/3.3/VariableSymbolView.Designer.cs	(revision 5832)
@@ -48,12 +48,13 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(477, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(477, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(466, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(530, 3);
       // 
       // tabControl
       // 
+      this.tabControl.AllowDrop = true;
       this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
@@ -61,9 +62,9 @@
       this.tabControl.Controls.Add(this.variableNamesTabPage);
       this.tabControl.Controls.Add(this.parametersTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 52);
+      this.tabControl.Location = new System.Drawing.Point(0, 26);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(549, 367);
-      this.tabControl.TabIndex = 4;
+      this.tabControl.Size = new System.Drawing.Size(549, 393);
+      this.tabControl.TabIndex = 3;
       // 
       // variableNamesTabPage
@@ -72,5 +73,5 @@
       this.variableNamesTabPage.Name = "variableNamesTabPage";
       this.variableNamesTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.variableNamesTabPage.Size = new System.Drawing.Size(541, 341);
+      this.variableNamesTabPage.Size = new System.Drawing.Size(541, 367);
       this.variableNamesTabPage.TabIndex = 0;
       this.variableNamesTabPage.Text = "Variable Names";
@@ -84,5 +85,5 @@
       this.parametersTabPage.Name = "parametersTabPage";
       this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.parametersTabPage.Size = new System.Drawing.Size(541, 341);
+      this.parametersTabPage.Size = new System.Drawing.Size(541, 367);
       this.parametersTabPage.TabIndex = 1;
       this.parametersTabPage.Text = "Parameters";
@@ -98,5 +99,5 @@
       this.groupBox2.Name = "groupBox2";
       this.groupBox2.Size = new System.Drawing.Size(200, 94);
-      this.groupBox2.TabIndex = 2;
+      this.groupBox2.TabIndex = 1;
       this.groupBox2.TabStop = false;
       this.groupBox2.Text = "Weight Manipulator";
@@ -124,5 +125,5 @@
       this.weightManipulatorSigmaTextBox.Name = "weightManipulatorSigmaTextBox";
       this.weightManipulatorSigmaTextBox.Size = new System.Drawing.Size(100, 20);
-      this.weightManipulatorSigmaTextBox.TabIndex = 1;
+      this.weightManipulatorSigmaTextBox.TabIndex = 3;
       this.weightManipulatorSigmaTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.weightTextBox_Validating);
       // 
@@ -133,5 +134,5 @@
       this.label4.Name = "label4";
       this.label4.Size = new System.Drawing.Size(17, 13);
-      this.label4.TabIndex = 0;
+      this.label4.TabIndex = 2;
       this.label4.Text = "σ:";
       // 
@@ -145,5 +146,5 @@
       this.groupBox1.Name = "groupBox1";
       this.groupBox1.Size = new System.Drawing.Size(200, 83);
-      this.groupBox1.TabIndex = 2;
+      this.groupBox1.TabIndex = 0;
       this.groupBox1.TabStop = false;
       this.groupBox1.Text = "Weight";
@@ -172,5 +173,5 @@
       this.label2.Name = "label2";
       this.label2.Size = new System.Drawing.Size(17, 13);
-      this.label2.TabIndex = 0;
+      this.label2.TabIndex = 2;
       this.label2.Text = "σ:";
       // 
@@ -180,5 +181,5 @@
       this.weightSigmaTextBox.Name = "weightSigmaTextBox";
       this.weightSigmaTextBox.Size = new System.Drawing.Size(100, 20);
-      this.weightSigmaTextBox.TabIndex = 1;
+      this.weightSigmaTextBox.TabIndex = 3;
       this.weightSigmaTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.weightTextBox_Validating);
       // 
@@ -190,9 +191,8 @@
       this.Name = "VariableSymbolView";
       this.Size = new System.Drawing.Size(549, 419);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.tabControl, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       this.tabControl.ResumeLayout(false);
